> For the complete documentation index, see [llms.txt](https://docs.bbscoin.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bbscoin.org/development-integration/wallet-api/simple-wallet.md).

# Simple Wallet

- [getbalance](https://docs.bbscoin.org/development-integration/wallet-api/simple-wallet/getbalance.md): Gets the balance of the wallet or an specific addresss.
- [transfer](https://docs.bbscoin.org/development-integration/wallet-api/simple-wallet/transfer.md)
- [store](https://docs.bbscoin.org/development-integration/wallet-api/simple-wallet/store.md): This method saves/stores the current wallet container to disk using same filename as when loaded.
- [get\_payments](https://docs.bbscoin.org/development-integration/wallet-api/simple-wallet/get_payments.md)
- [get\_transfers](https://docs.bbscoin.org/development-integration/wallet-api/simple-wallet/get_transfers.md)
- [get\_height](https://docs.bbscoin.org/development-integration/wallet-api/simple-wallet/get_height.md)
- [reset](https://docs.bbscoin.org/development-integration/wallet-api/simple-wallet/reset.md): This method clears all cached data and rescans the blockchain for transactions if viewSecretKey is specified, old key will be discarded and rescan will use the new key for scanning transactions


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bbscoin.org/development-integration/wallet-api/simple-wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
